<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_241) on Mon May 18 23:41:36 CEST 2020 -->
<title>B-Index</title>
<meta name="date" content="2020-05-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="B-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">B</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">F</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<a name="I:B">
<!--   -->
</a>
<h2 class="title">B</h2>
<dl>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/smartcontrol/SmartControl.html#batteryMinMaxUpdater--">batteryMinMaxUpdater()</a></span> - Method in class ch.hevs.isi.smartcontrol.<a href="../ch/hevs/isi/smartcontrol/SmartControl.html" title="class in ch.hevs.isi.smartcontrol">SmartControl</a></dt>
<dd>
<div class="block">changes the range of values considered to be acceptable for battery regulation</div>
</dd>
<dt><a href="../ch/hevs/isi/core/BoolDataPoint.html" title="class in ch.hevs.isi.core"><span class="typeNameLink">BoolDataPoint</span></a> - Class in <a href="../ch/hevs/isi/core/package-summary.html">ch.hevs.isi.core</a></dt>
<dd>
<div class="block">This class describes the core component BoolDataPoint, which inherits from DataPoint.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/BoolDataPoint.html#BoolDataPoint-java.lang.String-boolean-boolean-">BoolDataPoint(String, boolean, boolean)</a></span> - Constructor for class ch.hevs.isi.core.<a href="../ch/hevs/isi/core/BoolDataPoint.html" title="class in ch.hevs.isi.core">BoolDataPoint</a></dt>
<dd>
<div class="block">BoolDataPoint constructor with 3 parameters, also calls DataPoint super constructor with label and input
 parameters</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/BoolDataPoint.html#BoolDataPoint-java.lang.String-boolean-">BoolDataPoint(String, boolean)</a></span> - Constructor for class ch.hevs.isi.core.<a href="../ch/hevs/isi/core/BoolDataPoint.html" title="class in ch.hevs.isi.core">BoolDataPoint</a></dt>
<dd>
<div class="block">BoolDataPoint constructor</div>
</dd>
<dt><a href="../ch/hevs/isi/field/BooleanRegister.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">BooleanRegister</span></a> - Class in <a href="../ch/hevs/isi/field/package-summary.html">ch.hevs.isi.field</a></dt>
<dd>
<div class="block">This class describes the BooleanRegister component</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/BooleanRegister.html#BooleanRegister-ch.hevs.isi.core.DataPoint-int-">BooleanRegister(DataPoint, int)</a></span> - Constructor for class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/BooleanRegister.html" title="class in ch.hevs.isi.field">BooleanRegister</a></dt>
<dd>
<div class="block">BooleanRegister constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/utils/Utility.html#bytesToFloat-byte:A-int-int-">bytesToFloat(byte[], int, int)</a></span> - Static method in class ch.hevs.isi.utils.<a href="../ch/hevs/isi/utils/Utility.html" title="class in ch.hevs.isi.utils">Utility</a></dt>
<dd>
<div class="block">Returns a <code>float</code> value from array of bytes.</div>
</dd>
</dl>
<a href="index-1.html">B</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">F</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<a href="index-15.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
